org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class AbstractMetadataFactory

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractMetadataFactory

Direct Known Subclasses:
  DiscoveredEndpointDescriptionFactory, ServiceInfoFactory

    public abstract class AbstractMetadataFactory
    extends Object

Abstract superclass for metadata factories...i.e. implementers of `IServiceInfoFactory`.

### Field Summary

Fields
`protected static String` `LIST_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`AbstractMetadataFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected EndpointDescription` `decodeEndpointDescription(IServiceProperties discoveredServiceProperties)`
`protected List<String>` `decodeList(IServiceProperties props, String name)`
`protected Long` `decodeLong(IServiceProperties props, String name)`
`protected void` `decodeNonStandardServiceProperties(IServiceProperties props, Map<String,Object> result)`
`protected void` `decodeOSGiProperties(IServiceProperties props, Map osgiProperties)`
`protected String` `decodeString(IServiceProperties props, String name)`
`protected void` `encodeList(IServiceProperties props, String name, List<String> list)`
`protected void` `encodeLong(IServiceProperties result, String name, Long value)`
`protected void` `encodeNonStandardServiceProperties(Map<String,Object> properties, IServiceProperties result)`
`protected void` `encodeOSGiServiceProperties(EndpointDescription endpointDescription, IServiceProperties result)`
`protected void` `encodeServiceProperties(EndpointDescription endpointDescription, IServiceProperties result)`
`protected void` `encodeString(IServiceProperties props, String name, String value)`
`protected void` `logError(String methodName, String message, Throwable t)`
`protected void` `logWarning(String methodName, String message, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LIST_SEPARATOR

    protected static final String LIST_SEPARATOR

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractMetadataFactory

    public AbstractMetadataFactory()

### Method Detail

#### encodeString

    protected void encodeString(IServiceProperties props,
                                String name,
                                String value)

#### decodeString

    protected String decodeString(IServiceProperties props,
                                  String name)

#### encodeLong

    protected void encodeLong(IServiceProperties result,
                              String name,
                              Long value)

#### decodeLong

    protected Long decodeLong(IServiceProperties props,
                              String name)

#### encodeList

    protected void encodeList(IServiceProperties props,
                              String name,
                              List<String> list)

#### decodeList

    protected List<String> decodeList(IServiceProperties props,
                                      String name)

#### decodeOSGiProperties

    protected void decodeOSGiProperties(IServiceProperties props,
                                        Map osgiProperties)

#### decodeEndpointDescription

    protected EndpointDescription decodeEndpointDescription(IServiceProperties discoveredServiceProperties)

Parameters:
  `discoveredServiceProperties` - discovered service properties
Returns:
  org.osgi.service.remoteserviceadmin.EndpointDescription endpoint description decoded from service p properties
Since:
  3.0

#### encodeOSGiServiceProperties

    protected void encodeOSGiServiceProperties(EndpointDescription endpointDescription,
                                               IServiceProperties result)

Parameters:
  `endpointDescription` - endpoint description to encode
  `result` - service properties to add encoded endpoint description properties to
Since:
  3.0

#### encodeServiceProperties

    protected void encodeServiceProperties(EndpointDescription endpointDescription,
                                           IServiceProperties result)

Parameters:
  `endpointDescription` - endpoint description to encode
  `result` - service properties to add encoded endpoint description properties to
Since:
  3.0

#### encodeNonStandardServiceProperties

    protected void encodeNonStandardServiceProperties(Map<String,Object> properties,
                                                      IServiceProperties result)

#### decodeNonStandardServiceProperties

    protected void decodeNonStandardServiceProperties(IServiceProperties props,
                                                      Map<String,Object> result)

#### logWarning

    protected void logWarning(String methodName,
                              String message,
                              Throwable t)

#### logError

    protected void logError(String methodName,
                            String message,
                            Throwable t)

#### close

    public void close()